# 项目相关配置
#ruoyi:
deer:
  # 名称
  name: RuoYi
  # 版本
  version: 3.3.1
  # 版权年份
  copyrightYear: 2020
  # 文件路径
  profile: D:/DeerWMS/classes/static/profile/
#  profile: I:/workFile/wuXiSCCWMS/wms-admin/src/main/resources/static/profile
  # 获取ip地址开关
  addressEnabled: true

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为80
  port: 8000
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30
 
# 日志配置
logging:
  level:
    com.deer: debug
    org.springframework: info

# 用户配置
user:
  password:
    # 密码错误{maxRetryCount}次锁定10分钟
    maxRetryCount: 5
  #指定报警账户
  accountId: 12

# Spring配置
spring:
  # 模板引擎
  thymeleaf:
    mode: HTML
    encoding: utf-8
    # 禁用缓存
#    cache: true     #生产环境设置为false
    cache: false
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: static/i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  profiles: 
    active: druid
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  20MB
       # 设置总上传的文件大小
       max-request-size:  30MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  #邮件模块
#  mail:
#    host: smtp.scc.com.cn #SMTP服务器地址（深南邮箱服务器地址）
##    host: smtp.xinnetdns.com
##    username: wxjbftbzdk@scc.com.cn #登陆账号
#    username: wuxsubylcklb@scc.com.cn
#    password: 123456* #登陆密码（或授权码）
#    properties:
#      from:  wuxsubylcklb@scc.com.cn #邮件发信人（即真实邮箱）
#    thymeleaf:
#      cache: false
#      prefix: classpath:/views/
#    servlet:
#      multipart:
#        max-file-size: 10MB #限制单个文件大小
#        max-request-size: 50MB #限制请求总量

  mail:
    host: exmail.scc.com.cn
    port: 587 # exchange服务器时，必须设置此端口
#    username: GX1812
#    password: sn123456*
    username: sys
    password: scc@123456
    default-encoding: UTF-8
    protocol: smtp
    properties:
#      from: wuxsubylcklb@scc.com.cn
      from: sys@scc.com.cn
      mail:
        smtp:
          auth: true
        debug: true
    test-connection: false

  rabbitmq:
    host: 10.20.6.96
#    host: 127.0.0.1
    port: 5672
    username: WMS
    password: 12!@qwQW
    virtual-host: /


  #服务器报表位置
  profile:

# MyBatis
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.deer.wms
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mapper/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mapper/mybatis-config.xml

# PageHelper分页插件
pagehelper: 
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql 

# Shiro
shiro:
  user:
    # 登录地址
    loginUrl: /login
    # 权限认证失败地址
    unauthorizedUrl: /unauth
    # 首页地址
    indexUrl: /index
    # 验证码开关
    captchaEnabled: false
    # 验证码类型 math 数组计算 char 字符
    captchaType: math
  cookie:
    # 设置Cookie的域名 默认空，即当前访问的域名
    domain: 
    # 设置cookie的有效访问路径
    path: /
    # 设置HttpOnly属性
    httpOnly: true
    # 设置Cookie的过期时间，天为单位
    maxAge: 7
  session:
    # Session超时时间（默认30分钟）
#    expireTime: 30
    expireTime: 4320
    # 同步session到数据库的周期（默认1分钟）
    dbSyncPeriod: 1440
    # 相隔多久检查一次session的有效性，默认就是10分钟
#    validationInterval: 1
#    validationInterval: 17280
    validationInterval: 2150

# 防止XSS攻击
xss: 
  # 过滤开关
  enabled: false
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
